[nvidia] Window content is black or transparent

Bug #1072206 reported by ZeXx86 on 2012-10-27
702
This bug affects 166 people
Affects Status Importance Assigned to Milestone
Compiz
High
Andrea Azzarone
0.9.11
High
Stephen M. Webb
NVIDIA Drivers Ubuntu
Undecided
Unassigned
The Gimp
New
Undecided
Unassigned
Unity
Invalid
Undecided
Unassigned
compiz (Ubuntu)
High
Andrea Azzarone
Nominated for Trusty by Stephen M. Webb
Trusty
High
Stephen M. Webb
unity (Ubuntu)
Undecided
Unassigned
Nominated for Trusty by Stephen M. Webb

Bug Description

[ Impact ]

With nVidia hardware from time to time window content is rendered black or transparent. The problem manifests more frequently as session uptime increases.

Apparently the problem was caused by textures being cached and not freed, resulting in memory exhaustion conditions. It turns out the texture caching is unnecessary anyway.

[ Test Case ]

Verification requires an nVidia GPU with proprietary drivers. The problem can not be reproduced at will, only after some time (depending on resident GPU memory and usage) and even then only randomly and unreliably.

[ Regression Potential ]

It is unlikely this change has the potential to introduce new regressions.

[ Other Info ]

Fix was cherry-picked from the Ubuntu "Vivid Vervet" dev relase where it has been in use for some weeks without problem.

Related branches

ZeXx86 (zexx86) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Jonathan Allard (joallard) wrote :

Experiencing under 12.10 Quantal and nvidia 304.51. A quite critical bug, as it completely blacks out whole windows at a time.

no longer affects: unity
Changed in nvidia-drivers-ubuntu:
status: New → Confirmed
affects: unity (Ubuntu) → compiz (Ubuntu)
Changed in compiz:
status: New → Confirmed
summary: - Window content is black
+ [nvidia] Window content is black
Changed in compiz:
importance: Undecided → High
Changed in compiz (Ubuntu):
importance: Undecided → High
Changed in compiz:
milestone: none → 0.9.9.0
Changed in compiz:
milestone: 0.9.9.0 → 0.9.9.2

Feb 4 14:26:10 kernel: [317457.047702] show_signal_msg: 154 callbacks suppressed
Feb 4 14:26:10 kernel: [317457.047705] compiz[3843]: segfault at 454 ip 00007f1dc19d4619 sp 00007fff5fe2e3b8 error 4 in libc-2.15.so (deleted)[7f1dc1887000+1b5000]

Jonathan Allard (joallard) wrote :

Window content is sometimes transparent also. Opening Unity dash does not stop the issue.

ZeXx86 (zexx86) wrote :

I agree, sometimes I have transparent window content except window border. So it is black or transparent.

Amos (a-storkey) wrote :

Whatever the precise effect, this is a reproducible (just open enough windows - often as few as 5 in a high resolution setting) and disasterous (it prevents any reasonable use of the OS). It appears to have been an on-off problem with Compiz with nvidia for years and years. This needs a high priority fix to make compiz usable on the large number of nvidia card based systems.

I also note, in case it is a help, that once the memory limit has been bumped into (i.e. enough windows opened), then not only do windows black out but at every new open window the whole sceen flashes off very briefly. This only happens when the memory limit is reached.

stojic (ivstojic) wrote :

I am also affected by this bug.

Relevant system info:
Ubuntu 12.10 (fully updated).
NVIDIA GeForce GTX 650 with driver version nvidia-experimental-310 310.14-0ubuntu1

I can reliably (100% cases) reproduce the bug in this manner:
1) Open two windows from the same application (eg, two Nautilus windows).
2) Minimize one of the windows.
3) Use Alt+` to switch to the minimized window.
4) Minimized window unminimizes and its content is black.

Workaround that works here is disabling plugin "Animations" in ccsm (CompizConfig Settings Manager).
I cannot reproduce the bug with this plugin disabled.

Amos (a-storkey) wrote :

In my case ( 8800GTS (640) ) it is definitely the old memory limit problem returned to kill. But it happens with indirect rendering set (though does this have an effect in current Compiz?) and absolutely every compiz option turned off. Disabling/enabling stuff (whatever) doesn't help.

To reproduce, open numerous windows. Eventually the screen flickers when a window is opened or switched to. After that all the fun happens. You can even find the boundary to the memory limit by resizing windows a tiny bit. Small perturbations on the size either create or remove the problem if the right amount of stuff is open.

cacula (cacula) wrote :

same here with 13.04

Changed in compiz:
milestone: 0.9.9.2 → 0.9.10.0
Esokrates (esokrarkose) wrote :
Download full text (3.1 KiB)

My comment from https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/729979:

To make the bug easier to see and understand, make the animation slower:
"dconf write /com/canonical/unity/minimize-slow-duration 3000"
(You can undo this easily with "dconf reset /com/canonical/unity/minimize-slow-duration")
Now the animation should be slow enough to be able to interrupt it (meaning you are able to press the minimize button, and can move the mouse pointer faster to the launcher symbol and press it than the animated window is going there).
You can alternatively reproduce the effects shown in the linked video by moving the mouse pointer to the launcher and try to click the application instantly after the animation was initiated by pressing Strg + Alt + KP0 (numpad 0 key). The main point is, the bug seems to be quite randomly with default settings (most of the time it does not work, however there are situations when it works).
I found out, that you can reproduce the bug for sure if you apply the dconf setting mentioned above (you could also apply higher values). The slower the animation is, the more likely it is, that the bug happens.
The behaviour is shown in the following video:
http://ubuntuone.com/5xMF480diMFbN5np9rERcP

Now the very important part:

You can see, that the minimize animation ALWAYS works, when it was interrupted before (and the window is black, or without any content). But you have to consider, you are not allowed to shade/unshade, resize or click away from the window! This means doing only minimizing and unminimizing behind one another of the same window (without doing anything that makes the missing window content disappear), it works every second time.
If an window is opened, there is no way, that the animation works the first time minimizing, except you maximize it! This means you can always get the animation working if you maximize it before you press the minimize button (you have to maximize again even if the application is already maximized).
So to conclude there are two ways of always getting the animation work.

I have found an equivalent way to reproducing the bug (which could be relevant):
http://ubuntuone.com/16WmSevvitMlG8XfkfYzfE

(Note: For single windows in the video the ESC button was used to leave the spread without selecting the window. )
If you minimize a non fullscreen window (after you have opened it), click the spread view, leave it without selecting the minimized window and unminimize it, it gets the same condition as interrupting a window minimize.
This behaviour is not true for windows, that minimized correctly before, so the bug does not work for windows maximized an then minimised (last example in the video).
The behaviour shown in the second video is a consequence of the bug shown in the first video, so if you can reproduce the second bug this is also a proof for having the first bug.

The window content is not always black, for example, if you have set a transparent terminal colour the window content is not black, but completely missing (meaning 100% transparent).
If you have a black/transparent window and you focus another window and switch back to the black/transparent window, the window content is...

Read more...

Esokrates (esokrarkose) wrote :

One thing I forgot: The problem is independent from the minimize animation (it also occurs for other animations like magic lamp). If you disable unityshell plugin, minimize always works without getting black/transparent windows.

debili (karatedebili) wrote :

I'm experiencing the same bug... the experimental compiz version doesn't help either...is it being fixed or it's only a few of us having this?

pst007x (turone) wrote :

Agree with @stojic (ivstojic) Comment #8

This seems to prevent the error from happening.

summary: - [nvidia] Window content is black
+ [nvidia] Window content is black or transparent
MC Return (mc-return) on 2013-07-24
Changed in compiz:
milestone: 0.9.10.0 → 0.9.11.0
Giorgio Wicklein (giowck) wrote :

So nothing new?
I'm on 13.04 now. Still affected.

Any news?

phiro (phiro) wrote :

Seems to affect virtualbox windows most, a virtual box vm window always have this behavior, other application windows has this behavior sometimes.
Occures on Unity and icewm.

Jonathan Allard (joallard) wrote :

Still affected daily. No response.

Mr.T (thau79) wrote :

Same problem here – with intel graphics on a standard driver.

*-display
             description: VGA compatible controller
             product: 2nd Generation Core Processor Family Integrated Graphics Controller
             vendor: Intel Corporation

RobinJ (robinj) wrote :

Ubuntu 13.10 AMD64
AMD FX-6100
NVidia GT 430
NVidia Driver 319.32

This occurs to me, too, when minimizing/maximizing windows.
And the performance is abysmal... I think even NVidia is trying to push me towards the Nouveay drivers now... Honestly. Never thought I'd say this but the Nouveau drivers are performing better for me.

tags: added: saucy
Hans Persson (ubuntu-unicorn) wrote :

This happens to me on 13.04, at random, when trying to focus a new window. Randomly clicking other windows will eventually solve the problem, but usually makes a few others black and/or transparent first, so it usually takes a number of clicks to eliminate the symptoms completely. I have also noticed that some windows appear without the top button bar of the window for a while in conjunction with this problem.

Boris Terzic (aggregat4) wrote :

Ubuntu 13.10
Linux-x86_64
GeForce 9500 GT/PCIe/SSE2
Nvidia driver 319.60
Dual Monitor

I confirm the behaviour from Comment #8 and the workaround. Disabling the "Animations" Compiz plugin fixes this issue for me.

Vincent Thiele (vincentthiele) wrote :

Please fix this, its annoying for new users.

tags: added: nvidia
Amos (a-storkey) wrote :

I am unconvinced by the workarounds suggested for this bug. I have recreated this in all situations: it is related to nvidia card memory size. Whatever workaround you try I suspect if you keep opening new windows you will get the bug eventually (I do). Its easier to recreate on a dual head machine or high resolution system. Swapping the nvidia card for one with a larger memory also means you can open more windows until the problem occurs. But it always occurs eventually. As I generally operate with 50 or more windows open, I don't have much trouble recreating this.

Also over time, the number of windows required to be open for the bug to appear reduces, which suggests a memory leak somewhere.

Experiencing a variation of this bug since the update to 13.10. Slightly different visual bug: the windows are not necessarily blacked out, most of the time they got filled with some crappy, iconish buggy content. See screenshot attached. It happens once in while, mostly on Filezilla, Kate and Chromium. When happening it generally propagates randomly to other active windows.

I've tested a bunch of NVidia drivers for my GeForce 6150SE nForce 430, current running driver 304.

JW (jweill35) wrote :

Experiencing this on 13.10 using nvidia 319.60 drivers, when bringing up a pidgin window that has been minimized to the unity tray, it's blacked out

Ryan Tandy (rtandy) wrote :

Still happening in trusty with nvidia 331.38.

tags: added: trusty
Vincent Thiele (vincentthiele) wrote :

Why is this still not fixed? I think it's unacceptable for an LTS release...

Jaime Marques (jimmy93) wrote :

this happens random to me in ubuntu 14.04 with any nvidia drivers.
using 334.21 atm.

Daniel McGuire (danielmcguire) wrote :

This is STILL not fixed!! It is almost two years old!

Daniel Sánchez (broodmate26) wrote :

Two years? It has been a lot of time.
I think many people is affected, but they don't report cause not critical bug.
Please fix it.
Thank you.

hackel (hackel) wrote :

This may or may not be caused by the same issue. When using a Java (swing) application called Jdownloader, whenever it opens a new window or dialogue box, it will be transparent with only the window border showing the first time it is displayed. If I close it and open the same dialogue again, I can see the window contents. Also, if I maximise the window, I can see some of the contents, but they are entirely distorted and unusable. Disabling the Animations plugin has no effect.
Running 14.04.

John Murray (johnmurrayvi) wrote :

Commenting here to keep this bug alive... Very annoying.

Happens to me frequently, especially when switching to a minimized window, or one that is below another window.

Using GTX770 with the 331.67 drivers, but also happened with my GTX560 Ti, and with every driver version I can remember, ever since 12.10 +.

majo dom (majo-dom) wrote :

Ubuntu 14.04, Unity, Kernel 3.13.30, nvidia 331.38

minimizing/maximizing windows, sometimes (often?) results in black content area.

James Avery (avery-diku) wrote :

Ubuntu 14.04, Unity, Kernel 3.8.0-34-generic #49, NVIDIA driver version 304.117 (cannot use versions higher than 304, since my graphics card (GeForce 7025) is not supported in higher versions).

Opening dash and closing it causes window contents to either go black or dark.
Minimising/maximising windows causes window contents to go black.

Worked fine in 12.10. Just updated, and now Unity is nearly unusable.

digokva (rodrigogs2) wrote :

I resolved this issue using the esokrarkose tip (comment #11):

dconf write /com/canonical/unity/minimize-slow-duration 3000

kernel 3.13.0-30-generic, Ubuntu 14.04, Unity and Nvidia driver version 331.67 (card is a 240GT 512MB DDR3)

Please, could you provide a backtrace trace for the segfault? That could be helpful:

https://wiki.ubuntu.com/Backtrace

Changed in compiz (Ubuntu):
status: Confirmed → Triaged
James H (jhuber72) wrote :

This bug is still present for me. (up-to-date 14.04, nvidia-331, gtx 770 4gb)

If I minimize a window and then switch to it with alt-tab, it will come up black *every time*.

However, I found out today that if I disable *just* the un-minimize animation using unity-tweak-tool, the problem goes away. Minimize animation is still on and the windows still turn black during the minimize animation, but when I restore them, they don't come up black.

Perhaps this is due to some broken interaction between the nvidia driver and the way compiz handles texture transformations of windows.

Kaspar Tint (kaspar-tint) wrote :

Still present for me, using GTX 760 on Ubuntu 14.04 with proprietary drivers.

Piotr Kloc (pepko94) wrote :

According to this https://devtalk.nvidia.com/default/topic/766018/unix-graphics-announcements-and-news/linux-solaris-and-freebsd-driver-343-13-beta-/

Nvidia 343.13 beta may be a solution.

"Fixed a "black window" bug in Ubuntu 14.04 when using the Xinerama and Composite extensions."

James H (jhuber72) wrote :

Bug is not fixed with nvidia-343.13.

Scott (scott-l-barlow) wrote :

I also have this bug, very frustrating. Ubuntu 14.04, Nvidia-331.38

Alexander (aheihachi) wrote :

Experiencing this bug.

Ubuntu 14.04, Nvidia-331.38, gtx 750 Ti

Tried 343.13 beta - they have interface corruption issues + remaining black window issue.

Using temporary workaround with CCSM > Animations > Unminize animation > set to "NONE".

The new release of the driver (340.32) was supposed to fix the issue.

However, after install that version on 14.04 (amd64) up-to-date, nvidia module was not installed correctly and resulted in black screen after reboot.

modprobe: FATAL: Module nvidia not found.

Emailed <email address hidden> sending the details, no response until now.

Alexander (aheihachi) wrote :

@tiagohillebrandt, i've installed 340.32 without any issues using recovery mode. Howerver, they didn't fixed previously mentioned bugs, waiting for future releases.

Alexander (aheihachi) wrote :

Any news on this, guys?

Alexander (aheihachi) wrote :

Just isntalled 343.22

Black window is still there.

Alexander (aheihachi) wrote :

340.46 black window still present.

Peter Teuben (teuben) wrote :

I've been affected by this for quite some time now. I have a NVIDIA Corporation GF108M [NVS 5400M] (rev a1)
on a Thinkpad T530 with i915,nouveau and U14.04.
On an earlier ubuntu same problem. I *think* the problem gets worse as the session ages (many windows open).
Some apps (tkdiff) do it a lot, and repeatingly opening it, may finallyt bring up a good one. Some other apps
now recently starting showing pulldowns that are transparent. Again, retrying it sometimes helps. Super
annoying.

I never have black windows though, mine are always transparent. Only the top bar shows up.

Bug still there with GeForce 520 on Ubuntu 14.10 !!

Changed in unity:
status: New → Opinion
status: Opinion → Incomplete
status: Incomplete → Confirmed
Vincent Thiele (vincentthiele) wrote :

Devs please fix compiz... This is so annoying!

navidR (navidr) wrote :

simple solution is this :

set variable minimize-fast-duration and minimize-slow-duration to both to 1.
then its should gone .

but this is is simple hack . not true fix. for reproducing this bug I notice when you minimize a window "IF" focus remain unchanged between animation . then the window become dark . try this . set duration for both fast and slow to big number . try minimize/unminimize when animation not finished . then you should see a dark window . ( I suggest gnome-monitor for trying this ) .
when you set animation duration to 1 or 0 then animation is so fast user cannot unminimze during animation.
I hope this help.
and I am pretty disappoint by nvidia support.

geforce 610M , ubuntu 14.10

Amos (a-storkey) wrote :

navidR: This does not, in fact, remove the problem. If you open enough windows it will come back. All these (and other) settings seems to do is reduce the peak GPU memory requirements of the window manager, and so the problem goes away given the same number of open windows. Push the memory requirements back up (e.g. by opining more windows) and eventually the problem will come back.

navidR (navidr) wrote :

@Amos yes , it happen to me again , but after disabling compile animation actually seems fixed ( for 4 5 hour heavy work doesn't happen again)

navidR (navidr) wrote :

misspelled : by compile I meant compiz . ccsm , I just disabled whole animation plugin.

Amos (a-storkey) wrote :

@navidR

Turning off animation conserves large amounts of memory, but after opening about 50 (can't remember the exact figure) windows on a 3200x1200 dual head machine (which is not uncommon for me given my work pattern) on a 320MB video card the problem still comes back for me. As far as my extensive tests concluded, there is nothing you can turn off in compiz that fixes the problem. A particular choice of settings may reduce the memory loading and so push the problem beyonda persons practical use limit so they don't bump into the problem in normal circumstances, but the problem is still there at the same memory threshold.

The following test shows it to be a memory issue: Open windows until the problem appears. Now close windows until the problem goes away. Open one more window. As you vary the size of that window you will find a window size that is at the threshold of the problem. Make the window bigger and black windowing occurs. Reduce the window size, the problem disappears.

This, or related problems has been a known issue for many many years. Back in 2006-7, this or similar bug existed, known as the NVIDIA Black Window Bug, though whether the bug was actually a NVidia one or a compiz one was in question. The workaround was to change the direct rendering options that existed in compiz at the time. It was suggested that the NVIDIA Driver 100.14.19 fixed it. Maybe it did. If it did the bug, or a similar one was reintroduced at some stage, or something was never properly fixed. I don't know. But it is clear that this bug, at least as I am experiencing it, is memory related.

Stuart Gillies (gillies) wrote :

I have started to get this on my 14.04 double-header nvidia amd64 system. I can't say what events cause it, but moving a window generally fixes it until the next time. I don't need to have a lot of windows open to see it.

Alexander (aheihachi) wrote :

Did someone tried 346.16 drivers? I just noticed the following fixes:

- Fixed rendering corruption that sometimes happened when calling

    DrawElementsInstancedBaseVertexBaseInstance(),
    DrawElementsInstancedBaseInstance(),
    or DrawArraysInstancedBaseInstance().
- Removed the limit on the maximum number of OpenGL Framebuffer Objects.

Is that related to our issue?

Alexander (aheihachi) wrote :

Just installed 346.16 bug is not fixed. Seems like it's nvidia bug.

Alexander (aheihachi) wrote :

343.36 still remains.

Changed in unity (Ubuntu):
status: New → Confirmed
Peter Valdemar Mørch (pmorch) wrote :

It doesn't happen to me too often... A workaround that I use is to resize the window (with mouse or keyboard hotkey) when it appears as black. That apparently redraws the window.

A little annoying but it works.

Kieran Grant (kieran-grant) wrote :

I have not noticed this in Ubuntu 14.04.1 until now because I had previous been using Openbox (LXDE Desktop Environment), but after switching back to Unity I noticed this.

I haven't seen any issues prior with any OpenGL programs under the LXDE Desktop Environment nor so far any artifacts/glitches in OpenGL software on Unity.

In my case it has nothing to do with Video memory (only about 23% used, hovering at about 9% GPU Utilization), as far as I can tell, this is not an NVIDIA bug, but a compiz bug.

For Reference:
Ubuntu 14.04.1
Linux Kernel 3.13.0-45-generic #74-Ubuntu SMP Tue Jan 13 19:36:28 UTC 2015 x86_64
NVIDIA Driver 331.113
Compiz: 0.9.11.3

Arthur Huillet (ahuillet) wrote :

We at NVIDIA have investigated the problem and found out that it is an application bug.
Our interpretation of the specification is that creating two GLX pixmaps pointing at the same drawable is not allowed, because it can lead to poorly defined behavior if the properties of both GLX drawables don't match. Our driver prevents this, but Compiz appears to try to do this.
Tracing the calls done by Compiz shows that in certain cases (subject to a potential race condition on the minimize animation, more reliably happening on unminimize), it will obtain an X pixmap through XCompositeNameWindowPixmap(), then call glXCreatePixmap() and use the created GLX pixmap normally, but never call glXDestroyPixmap() on it. Subsequently, it will call XCompositeNameWindowPixmap() again, while the window's pixmap hasn't changed. This isn't a bug by itself, but subsequently calling glXCreatePixmap() will fail because there already is a GLX pixmap pointing at the drawable (the one that wasn't deleted before).
The fix would be to ensure that the pre-existing GLX pixmap is destroyed before attempting to create a new one.

Here is a short trace showing the events I'm describing:

<email address hidden>(0x18f0790, 0x120029a, 0, 0x18fca20) = 0x12002c4
glXCreatePixmap(0x18f0790, 0x14c, 0x12002c4);
// glXCreatePixmap returns 0x12002c5
glBindTexture(GL_TEXTURE_2D, 127);
glXBindTexImageEXT(0x18f0790, 0x12002c5, 8414, (nil));
[...]
--->Draw calls are made.
--->glXDestroyPixmap for 0x12002c5 is never called.
[...]
<email address hidden>(0x18f0790, 0x120029a, 0, 0x18fca20) = 0x1200303
glXCreatePixmap(0x18f0790, 0x14c, 0x1200303);
// glXCreatePixmap returns 0x1200304
glGenTextures(1, 0x1fbf098);
// returns:
glBindTexture(GL_TEXTURE_2D, 129);
glXBindTexImageEXT(0x18f0790, 0x1200304, 8414, (nil));
---> 0x1200304 pixmap creation fails because another (0x12002c5) points at the same drawable
---> Compiz proceeds normally and makes draw calls, but the texture it thinks it's drawing from isn't there

--
Arthur Huillet
NVIDIA Linux graphics

Tom Twotoes (directive10289) wrote :

I was having same problems, to fix it, I just turned off window animations

Unity Tweak Tool ---> General (Window Manager) ---> Turn Window Animations Off

Andrea Azzarone (azzar1) on 2015-03-01
Changed in unity:
status: Confirmed → Invalid
Changed in unity (Ubuntu):
status: Confirmed → Invalid
Changed in compiz:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in compiz (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity:
assignee: Andrea Azzarone (andyrock) → nobody
Andrea Azzarone (azzar1) on 2015-03-01
Changed in nvidia-drivers-ubuntu:
status: Confirmed → Invalid
Andrea Azzarone (azzar1) on 2015-03-02
Changed in compiz:
status: Confirmed → In Progress
Changed in compiz (Ubuntu):
status: Triaged → In Progress
Andrés Manglano (manglasape) wrote :

Wow, I'm so happy that this bug is finally being fixed! Good job guys!

Stephen M. Webb (bregma) on 2015-03-03
Changed in compiz:
milestone: 0.9.11.0 → 0.9.12.2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.12.1+15.04.20150303-0ubuntu1

---------------
compiz (1:0.9.12.1+15.04.20150303-0ubuntu1) vivid; urgency=medium

  [ Andrea Azzarone ]
  * Do not cache textures in animation.cpp. (LP: #729979, #1072206)

  [ Martin Wimpress ]
  * tweak MATE profile INI
 -- CI Train Bot <email address hidden> Tue, 03 Mar 2015 18:31:02 +0000

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Amos (a-storkey) wrote :

Celebration! Thanks Andrea and to all others involved. And thanks to those at Nvidia for nailing the reason, even given the problem was with compiz. Nvidia seem to be coming true on their recent promises.

Daniel McGuire (danielmcguire) wrote :

Best news ever! Thanks to everyone who got this fixed!

Jaime Marques (jimmy93) wrote :

Arthur Huillet (ahuillet),
Thank you so much for investigating and helping fix this!
This reminds me of why i love nvidia (great software) and improves on it by contributing to related projects (since it should be nvidias best interest that everything works when using theyr drivers).

Keep the awesome work and i hope more stuff like this comes from you guys!

Tomislav (bad63r) wrote :

Can some1 tell me when this fix will hit ubuntu 14.04 ? thx

Stephen M. Webb (bregma) on 2015-03-11
Changed in compiz:
status: In Progress → Fix Committed
Stephen M. Webb (bregma) on 2015-03-13
description: updated
Stephen M. Webb (bregma) on 2015-03-23
Changed in compiz (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Stephen M. Webb (bregma)

Hello ZeXx86, or anyone else affected,

Accepted compiz into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/compiz/1:0.9.11.3+14.04.20150313-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed

The same fix for bug #729979 is used for this bug in Trusty. Since that bug was verified, then I'm marking this bug as verified-done as well.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.11.3+14.04.20150313-0ubuntu1

---------------
compiz (1:0.9.11.3+14.04.20150313-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * removed texture caching from animations (LP: #729979, #1072206)

  [ Chris Townsend ]
  * Add a blacklist of Nvidia integrated GPU's affected by the Nvidia
    X11 Sync patch. (LP: #1424013)
 -- CI Train Bot <email address hidden> Fri, 13 Mar 2015 17:25:30 +0000

Changed in compiz (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for compiz has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Matthew Glennon (mglennon) wrote :

Admittedly, I don't comment here often, so I may be off on the protocol, so please don't bite the noob.
It seems this bug is closed as Verified Fixed, but I am still suffering from the issue running 15.04 fully updated.

Package: compiz
Status: install ok installed
Priority: optional
Section: x11
Installed-Size: 128
Maintainer: Ubuntu Developers <email address hidden>
Architecture: all
Version: 1:0.9.12.1+15.04.20150410.1-0ubuntu1

  *-display
       description: VGA compatible controller
       product: G96 [GeForce 9400 GT]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:29 memory:fd000000-fdffffff memory:d0000000-dfffffff memory:fa000000-fbffffff ioport:dc80(size=128) memory:fea00000-fea7ffff

Stephen M. Webb (bregma) on 2015-08-20
Changed in compiz:
status: Fix Committed → Fix Released
Gilles Schintgen (shigi) wrote :

Hi,
I wasn't following this bug until today when I thought enough is enough. (It's been annoying me for quite some time)

I'm skeptical of the "fix released" status, since I am *still* experiencing the described behaviour: black or transparent windows.

Ubuntu 14.04
compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
nvidia-304-updates 304.125-0ubuntu0.0.2

Thanks to everybody for investigating this non-critical but very annoying bug!

Andrea Azzarone (azzar1) wrote :

Hi Gilles,

looks weird, you are the first one to reconfirm the bug. How can you reproduce it? Can you write it all the steps? Thanks.

Nope. Still happens to me too.

On Fri, Sep 4, 2015, 8:50 AM Andrea Azzarone <email address hidden> wrote:

> Hi Gilles,
>
> looks weird, you are the first one to reconfirm the bug. How can you
> reproduce it? Can you write it all the steps? Thanks.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072206
>
> Title:
> [nvidia] Window content is black or transparent
>
> Status in Compiz:
> Fix Released
> Status in Compiz 0.9.11 series:
> Fix Committed
> Status in NVIDIA Drivers Ubuntu:
> Invalid
> Status in Unity:
> Invalid
> Status in compiz package in Ubuntu:
> Fix Released
> Status in unity package in Ubuntu:
> Invalid
> Status in compiz source package in Trusty:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> With nVidia hardware from time to time window content is rendered
> black or transparent. The problem manifests more frequently as
> session uptime increases.
>
> Apparently the problem was caused by textures being cached and not
> freed, resulting in memory exhaustion conditions. It turns out the
> texture caching is unnecessary anyway.
>
> [ Test Case ]
>
> Verification requires an nVidia GPU with proprietary drivers. The
> problem can not be reproduced at will, only after some time (depending
> on resident GPU memory and usage) and even then only randomly and
> unreliably.
>
> [ Regression Potential ]
>
> It is unlikely this change has the potential to introduce new
> regressions.
>
> [ Other Info ]
>
> Fix was cherry-picked from the Ubuntu "Vivid Vervet" dev relase where
> it has been in use for some weeks without problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/1072206/+subscriptions
>

Mark (smeets) wrote :

Same here, bug still occurs. The longer you leave your machine on, the better chance you hit the bug.

This is with an nvidia gtx 980, compiz 0.9.12.1 and nvidia driver 352.30

Still seeing it as well, very frequently. I usually have about 50-80 browser windows open at a time, plus other apps. It happens more frequently when I have more windows open and when I use the computer more.

Ubuntu 14.04
Compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
Unity 7.2.5+14.04.20150603-0ubuntu1
nvidia 304.125-0ubuntu0.0.2
dual-head machine with 2 monitors of different sizes

Matthew Glennon (mglennon) wrote :

I'm now running Ubuntu 15.10.
GeForce 9400GT with drivers 304.
After the upgrade to 15.10 my graphics performance declined, so I attempted
to purge the 304 drivers and move to 355 but I experienced a login loop.
Purged those and tried 352 with the same results, so I went back to drivers
304. It seems (so far) that the purge and reinstall solved some of my
performance issues, but I still get the random black squares where content
should be. I will try to capture it with my cellphone camera when it
happens again and submit it.

On Thu, Nov 5, 2015 at 12:05 PM Edwin Hoogerbeets <email address hidden>
wrote:

> Still seeing it as well, very frequently. I usually have about 50-80
> browser windows open at a time, plus other apps. It happens more
> frequently when I have more windows open and when I use the computer
> more.
>
> Ubuntu 14.04
> Compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
> Unity 7.2.5+14.04.20150603-0ubuntu1
> nvidia 304.125-0ubuntu0.0.2
> dual-head machine with 2 monitors of different sizes
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072206
>
> Title:
> [nvidia] Window content is black or transparent
>
> Status in Compiz:
> Fix Released
> Status in Compiz 0.9.11 series:
> Fix Committed
> Status in NVIDIA Drivers Ubuntu:
> Invalid
> Status in Unity:
> Invalid
> Status in compiz package in Ubuntu:
> Fix Released
> Status in unity package in Ubuntu:
> Invalid
> Status in compiz source package in Trusty:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> With nVidia hardware from time to time window content is rendered
> black or transparent. The problem manifests more frequently as
> session uptime increases.
>
> Apparently the problem was caused by textures being cached and not
> freed, resulting in memory exhaustion conditions. It turns out the
> texture caching is unnecessary anyway.
>
> [ Test Case ]
>
> Verification requires an nVidia GPU with proprietary drivers. The
> problem can not be reproduced at will, only after some time (depending
> on resident GPU memory and usage) and even then only randomly and
> unreliably.
>
> [ Regression Potential ]
>
> It is unlikely this change has the potential to introduce new
> regressions.
>
> [ Other Info ]
>
> Fix was cherry-picked from the Ubuntu "Vivid Vervet" dev relase where
> it has been in use for some weeks without problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/1072206/+subscriptions
>

Gonçalo Gomes (gagomes) wrote :

I seem to be reproducing this bug or similar on Ubuntu 14.04, using gnome-panel (gnome classic) + compiz, gtx 600 (driver: nvidia-352.63). The comments in #80 and #79 hit close to home.

I can reproduce it easily by running 'mplayer video' and pressing alt-tab. This renders compiz unusable and cpu usage for compiz goes to 100% usage and stays as such until killed. Occasionally compiz will crash instead of hanging, but I think there may be some specific interactions/key presses, part of my futile attempts at recovering the session while not fully unusable (even if it's already going berzerk by then) that causes it to end up crashing rather than hanging.

FWIW, I've Attached gdb backtrace of all threads. I also recorded the perf events for compiz after reproducing the issue using mplayer.

Alternatively, I have noticed that this started to happen more frequently when I began to use more than one firefox window open (I don't think tab count matters much as I've always been a tab hoarder and I have reduced substantially now). I did experience similar behavior with flash based multimedia content in full screen and alt-tab to switch back to the browser. It does not reproduce easily tough.

This behavior started to be noticed about 3 months ago (could be less, could be more, I can't be any more precise, I'm afraid)

Would be great to root cause it and I am happy to help.

I am continuing to experience this issue after the fix.

Ubuntu 14.04
Compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
Unity 7.2.5+14.04.20150603-0ubuntu1
nvidia 304.125-0ubuntu0.0.2

Matthew Glennon (mglennon) wrote :

Always. Nothing has ever fixed this issue for me.

On Wed, Feb 24, 2016 at 3:01 PM Cameron Smith <email address hidden>
wrote:

> I am continuing to experience this issue after the fix.
>
> Ubuntu 14.04
> Compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
> Unity 7.2.5+14.04.20150603-0ubuntu1
> nvidia 304.125-0ubuntu0.0.2
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072206
>
> Title:
> [nvidia] Window content is black or transparent
>
> Status in Compiz:
> Fix Released
> Status in Compiz 0.9.11 series:
> Fix Committed
> Status in NVIDIA Drivers Ubuntu:
> Invalid
> Status in Unity:
> Invalid
> Status in compiz package in Ubuntu:
> Fix Released
> Status in unity package in Ubuntu:
> Invalid
> Status in compiz source package in Trusty:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> With nVidia hardware from time to time window content is rendered
> black or transparent. The problem manifests more frequently as
> session uptime increases.
>
> Apparently the problem was caused by textures being cached and not
> freed, resulting in memory exhaustion conditions. It turns out the
> texture caching is unnecessary anyway.
>
> [ Test Case ]
>
> Verification requires an nVidia GPU with proprietary drivers. The
> problem can not be reproduced at will, only after some time (depending
> on resident GPU memory and usage) and even then only randomly and
> unreliably.
>
> [ Regression Potential ]
>
> It is unlikely this change has the potential to introduce new
> regressions.
>
> [ Other Info ]
>
> Fix was cherry-picked from the Ubuntu "Vivid Vervet" dev relase where
> it has been in use for some weeks without problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/1072206/+subscriptions
>

Lorenz Brun (lorenz-x) wrote :

Still happening on fully updated 15.10, even with NVIDIA beta drivers. Running triple-screen on a GTX670 with 2GB video RAM.

H Koch (h.koch) wrote :

Same here for the last 3 years on on Dell Studio 14z with NVIDIA® GeForce® 9400M G.
Have no illusions that this will ever get fixed.

Matthew Glennon (mglennon) wrote :

I seems that upgrading to v16.04 (and then reinstalling drivers) has fixed
this issue for me. Time will tell.

$ dpkg --get-selections | grep -v deinstall | grep nvidia
nvidia-352 install
nvidia-361 install
nvidia-opencl-icd-361 install
nvidia-prime install
nvidia-settings install

$ uname -a
Linux haunted-linux 4.4.0-22-generic #39-Ubuntu SMP Thu May 5 16:52:40 UTC
2016 i686 i686 i686 GNU/Linux

On Sat, May 7, 2016 at 11:50 PM H Koch <email address hidden> wrote:

> Same here for the last 3 years on on Dell Studio 14z with NVIDIA® GeForce®
> 9400M G.
> Have no illusions that this will ever get fixed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072206
>
> Title:
> [nvidia] Window content is black or transparent
>
> Status in Compiz:
> Fix Released
> Status in Compiz 0.9.11 series:
> Fix Committed
> Status in NVIDIA Drivers Ubuntu:
> Invalid
> Status in Unity:
> Invalid
> Status in compiz package in Ubuntu:
> Fix Released
> Status in unity package in Ubuntu:
> Invalid
> Status in compiz source package in Trusty:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> With nVidia hardware from time to time window content is rendered
> black or transparent. The problem manifests more frequently as
> session uptime increases.
>
> Apparently the problem was caused by textures being cached and not
> freed, resulting in memory exhaustion conditions. It turns out the
> texture caching is unnecessary anyway.
>
> [ Test Case ]
>
> Verification requires an nVidia GPU with proprietary drivers. The
> problem can not be reproduced at will, only after some time (depending
> on resident GPU memory and usage) and even then only randomly and
> unreliably.
>
> [ Regression Potential ]
>
> It is unlikely this change has the potential to introduce new
> regressions.
>
> [ Other Info ]
>
> Fix was cherry-picked from the Ubuntu "Vivid Vervet" dev relase where
> it has been in use for some weeks without problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/1072206/+subscriptions
>

Matthew Glennon (mglennon) wrote :

I seems that upgrading to v16.04 (and then reinstalling drivers) has fixed this issue for me. Time will tell.

Patrick (r-ubudtu-2) wrote :

#8 fixed this for me, too

Mark (smeets) wrote :

Upgrading to 16.04 did not fix it for me. This is getting very annoying.

Matthew Glennon (mglennon) wrote :

This appears to be fixed for me.

On Mon, Dec 12, 2016, 1:35 PM Mark <email address hidden> wrote:

> Upgrading to 16.04 did not fix it for me. This is getting very annoying.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1072206
>
> Title:
> [nvidia] Window content is black or transparent
>
> Status in Compiz:
> Fix Released
> Status in Compiz 0.9.11 series:
> Fix Committed
> Status in NVIDIA Drivers Ubuntu:
> Invalid
> Status in Unity:
> Invalid
> Status in compiz package in Ubuntu:
> Fix Released
> Status in unity package in Ubuntu:
> Invalid
> Status in compiz source package in Trusty:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> With nVidia hardware from time to time window content is rendered
> black or transparent. The problem manifests more frequently as
> session uptime increases.
>
> Apparently the problem was caused by textures being cached and not
> freed, resulting in memory exhaustion conditions. It turns out the
> texture caching is unnecessary anyway.
>
> [ Test Case ]
>
> Verification requires an nVidia GPU with proprietary drivers. The
> problem can not be reproduced at will, only after some time (depending
> on resident GPU memory and usage) and even then only randomly and
> unreliably.
>
> [ Regression Potential ]
>
> It is unlikely this change has the potential to introduce new
> regressions.
>
> [ Other Info ]
>
> Fix was cherry-picked from the Ubuntu "Vivid Vervet" dev relase where
> it has been in use for some weeks without problem.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/1072206/+subscriptions
>

Gonçalo Gomes (gagomes) wrote :

I'm still experiencing similar behaviour, now without the proprietary driver and on ubuntu 16.04. If I am using a video player such as mplayer, the issue is easily reproducible. Happy to help, seeing as I seem to be able to trigger this almost on demand.

calltheninja (calltheninja) wrote :

This bug also affects me. The fixes suggested by comment #8 here (https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1072206/comments/8) worked perfectly to solve the problem. If you don't have the Compiz Settings Manager already installed, you can find it in the Ubuntu Software Center. Thanks stojic!

Mateusz (emjot) wrote :

I'm browsing through launchpad looking for solution for my exact same problem.

This:
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1242115
has been marked as duplicate of
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1292830

And as I already posted:
I use Ubuntu 16.04 x64 with KDE instead of Unity, and this issue happens here as well, so in my opinion it shouldn't be linked to just unity or unity at all. (per first link above) nor it should be linked to nvidia.

I don't use nVidia.

Asus ZenBook UX305

IntelHD 515 with 3.0 Mesa 12.0.6

Workaround for me:
System Settings -> Display and Monitor -> Compositor

And here I have dropdown list with OpenGL3.1, OpenGL 2.0 and Xrender

What I usually do is I just switch between two of OpenGL versions and it goes back to normal for some time. Long term solution is to reboot my laptop.

Avio (aviopene) wrote :

I'm also having this issue on Ubuntu 18.04 amd64, compiz 1:0.9.13.1+18.04.20180302-0u, proprietary nVidia drivers 415.27-0ubuntu0~gpu18.04.2 on an old GeForce GTX 750.

This Gimp bug seems related: https://bugs.launchpad.net/ubuntu/+source/gimp/+bug/1371928 (and I'm having it too). I also have transparent windows on emulated wine windows.

Gumuiyul (gumuiyul) wrote :

Today, I updated from 16.04.5 to 16.04.6 and my Qt and openGL app can't display any contents.
Only window titlebar appears and window's body is transparent.
I'm using nVidia driver NVIDIA 384.130 for GTX960.
kernel is Linux p0 4.15.0-66-generic #75~16.04.1-Ubuntu

Gumuiyul (gumuiyul) wrote :

I put more detail information to #97,
I am using Gnome shell 3.18.5 instead of Unity and Compiz.
that my application is base on Qt 5.6.1 with OpenGL.
Other apps that gimp, libreoffice, gedit don't have this issue.

To post a comment you must log in.